Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets
Class AnonymousProfileListener

    java.lang.Object
      com.bea.p13n.servlets.AnonymousProfileListener

All Implemented Interfaces
  EventListener, javax.servlet.http.HttpSessionListener

    public class AnonymousProfileListener

extends Object
implements javax.servlet.http.HttpSessionListener

Initialize an Anonymous ProfileWrapper in the user's session, when the session is created.

Constructor Summary
`AnonymousProfileListener()`

Method Summary
`void` | `sessionCreated(javax.servlet.http.HttpSessionEvent evt)` When a session is created, initialize an Anonymous Profile in the session for the user.
`void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent evt)` Called when a session is destroyed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnonymousProfileListener

    public AnonymousProfileListener()

Method Detail

### sessionCreated

    public void sessionCreated(javax.servlet.http.HttpSessionEvent evt)

  When a session is created, initialize an Anonymous Profile in the session for the user.

  Specified by:
    `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`
  See Also
    `ProfileFactory.createAnonymousProfile()`, `SessionHelper.putProfileInSession(javax.servlet.http.HttpServletRequest, com.bea.p13n.usermgmt.profile.ProfileWrapper)`

### sessionDestroyed

    public void sessionDestroyed(javax.servlet.http.HttpSessionEvent evt)

  Called when a session is destroyed.

  This method here does nothing.

  Specified by:
    `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.